## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate sequoia-openpgp

Name:           rust-sequoia-openpgp
Version:        1.21.2
Release:        %autorelease
Summary:        OpenPGP data types and associated machinery

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-openpgp
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          sequoia-openpgp-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency
Patch:          sequoia-openpgp-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
OpenPGP data types and associated machinery.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+__implicit-crypto-backend-for-tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+__implicit-crypto-backend-for-tests-devel %{_description}

This package contains library source intended for building other packages which
use the "__implicit-crypto-backend-for-tests" feature of the "%{crate}" crate.

%files       -n %{name}+__implicit-crypto-backend-for-tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+allow-experimental-crypto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+allow-experimental-crypto-devel %{_description}

This package contains library source intended for building other packages which
use the "allow-experimental-crypto" feature of the "%{crate}" crate.

%files       -n %{name}+allow-experimental-crypto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+allow-variable-time-crypto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+allow-variable-time-crypto-devel %{_description}

This package contains library source intended for building other packages which
use the "allow-variable-time-crypto" feature of the "%{crate}" crate.

%files       -n %{name}+allow-variable-time-crypto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-devel %{_description}

This package contains library source intended for building other packages which
use the "compression" feature of the "%{crate}" crate.

%files       -n %{name}+compression-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-bzip2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-bzip2-devel %{_description}

This package contains library source intended for building other packages which
use the "compression-bzip2" feature of the "%{crate}" crate.

%files       -n %{name}+compression-bzip2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-deflate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-deflate-devel %{_description}

This package contains library source intended for building other packages which
use the "compression-deflate" feature of the "%{crate}" crate.

%files       -n %{name}+compression-deflate-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-nettle-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-nettle-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto-nettle" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-nettle-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-rust-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-rust-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto-rust" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-rust-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
# * ensure all dependencies for tests are generated
%cargo_generate_buildrequires -f crypto-nettle,crypto-openssl,crypto-rust,compression

%build
# * build with the Nettle crypto backend (default)
%cargo_build -n -f crypto-nettle,compression
# * build with the OpenSSL crypto backend
%cargo_build -n -f crypto-openssl,compression
# * build with the RustCrypto crypto backend
%cargo_build -n -f crypto-rust,compression,allow-experimental-crypto,allow-variable-time-crypto

%install
%cargo_install

%if %{with check}
%check
# * skip tests that exploit undefined behaviour and are not reliable:
#   https://gitlab.com/sequoia-pgp/sequoia/-/issues/1064
# * run tests with the Nettle crypto backend (default)
%cargo_test -n -f crypto-nettle,compression -- -- --skip leak_tests
# * run tests with the OpenSSL crypto backend
%cargo_test -n -f crypto-openssl,compression -- -- --skip leak_tests
# * run tests with the RustCrypto crypto backend
%cargo_test -n -f crypto-rust,compression,allow-experimental-crypto,allow-variable-time-crypto -- -- --skip leak_tests
%endif

%changelog
## START: Generated by rpmautospec
* Fri Aug 09 2024 Fabio Valentini <decathorpe@gmail.com> - 1.21.2-1
- Update to version 1.21.2; Fixes RHBZ#2297114

* Sun Jun 30 2024 Fabio Valentini <decathorpe@gmail.com> - 1.21.1-1
- Update to version 1.21.1; Fixes RHBZ#2294808

* Wed Jun 26 2024 Fabio Valentini <decathorpe@gmail.com> - 1.21.0-1
- Update to version 1.21.0; Fixes RHBZ#2294401

* Wed Jun 26 2024 Fabio Valentini <decathorpe@gmail.com> - 1.20.0-2
- Enable building the RustCrypto backend and run tests against it

* Fri Apr 12 2024 Fabio Valentini <decathorpe@gmail.com> - 1.20.0-1
- Update to version 1.20.0; Fixes RHBZ#2274552

* Wed Feb 21 2024 Fabio Valentini <decathorpe@gmail.com> - 1.19.0-1
- Update to version 1.19.0; Fixes RHBZ#2265152

* Fri Jan 26 2024 Fabio Valentini <decathorpe@gmail.com> - 1.18.0-1
- Update to version 1.18.0; Fixes RHBZ#2260491

* Wed Nov 08 2023 Fabio Valentini <decathorpe@gmail.com> - 1.17.0-2
- Skip unreliable tests regardless of chosen crypto backend

* Wed Nov 08 2023 Fabio Valentini <decathorpe@gmail.com> - 1.17.0-1
- Update to version 1.17.0; Fixes RHBZ#2246533

* Tue Sep 26 2023 Fabio Valentini <decathorpe@gmail.com> - 1.16.1-1
- Update to version 1.16.1; Fixes RHBZ#2240761

* Wed May 17 2023 Fabio Valentini <decathorpe@gmail.com> - 1.16.0-1
- Update to version 1.16.0; Fixes RHBZ#2207606

* Sat May 06 2023 Fabio Valentini <decathorpe@gmail.com> - 1.15.0-1
- Update to version 1.15.0; Fixes RHBZ#2193409

* Sun Mar 26 2023 Fabio Valentini <decathorpe@gmail.com> - 1.14.0-1
- Update to version 1.14.0; Fixes RHBZ#2181301

* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> - 1.13.0-2
- Skip test that fails with OpenSSL < 3.0.7 (missing RIPEMD160 algorithm)

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> - 1.13.0-1
- Update to version 1.13.0; Fixes RHBZ#2158943

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 14 2022 Fabio Valentini <decathorpe@gmail.com> - 1.12.0-1
- Update to version 1.12.0; Fixes RHBZ#2152984

* Wed Nov 23 2022 Fabio Valentini <decathorpe@gmail.com> - 1.11.0-1
- Update to version 1.11.0; Fixes RHBZ#2143959

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 08 2022 Fabio Valentini <decathorpe@gmail.com> - 1.10.0-1
- Update to version 1.10.0; Fixes RHBZ#2089450

* Thu May 05 2022 Fabio Valentini <decathorpe@gmail.com> - 1.8.0-2
- Drop downstream patch to revert upstream move to xxh3

* Wed Mar 16 2022 Fabio Valentini <decathorpe@gmail.com> - 1.8.0-1
- Update to version 1.8.0; Fixes RHBZ#2059929

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 18 2022 Fabio Valentini <decathorpe@gmail.com> - 1.7.0-1
- Update to version 1.7.0; Fixes RHBZ#2002229

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 22 2021 Fabio Valentini <decathorpe@gmail.com> - 1.3.0-1
- Update to version 1.3.0.
- Fixes RHBZ#1969381

* Mon Apr 12 2021 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-2
- Add upstream patch to fix i686-specific test compilation failure.

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-1
- Initial package

## END: Generated by rpmautospec
